Subject: Re: [Iasa20] Terminology agani: IETF LLC Executive Director versus IETF Executive Direector

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 18 Dec 2018 22:13:11 +0000

I did see at least one other reply, but in any case this is by no means a new or even recent discussion - merely the latest iteration. Thus, it certainly does not seem to me a rush to judgement. It was discussed extensively a few months ago, as well as a few weeks ago. 
 
As noted a moment ago, discussion on 4071bis should continue to occur at least through 8-January-2019, and if needed that will be extended. So certainly feel free to continue to have this discussion, should others wish to chime in on the issue.

Regards
Jason

On 12/18/18, 5:03 PM, "John C Klensin" <[email-masked]> wrote:

    Joe,
    
    Of course, you are entitled to your opinion, as am I.  However...
    
    I have so far heard from no one on this topic other than authors
    of the document.  Noting that there was only about five hours
    between when my note was posted and when you announced your
    conclusion, that you "predicted" I was in the rough nearly six
    hours before I posted my note to the list, and that no one other
    than authors of 4071bis has so far commented on this issue
    either on or offline, are you, as one of those authors, making a
    WG consensus call and trying to shut down discussion on behalf
    of the WG Chairs (one of whom is also a co-author of the
    document) on the basis of comments or the lack thereof from the
    WG?
    
    Just curious.
        john

    --On Tuesday, December 18, 2018 16:27 -0500 Joseph Lorenzo Hall
    <[email-masked]> wrote:
    
    > John, at this point I believe you are in the rough. I hope
    > that isn't disheartening because we value your feedback very
    > much, but this is not something I think we should spend more
    > time debating. best, Joe
    >

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 19 Dec 2018 11:23:21 +1300

I believe that I was one of the first to mention that some older documents
referred to the IETF Executive Director as being a direct support role
for the IESG, and that this could be confusing. Well, it could still be
confusing, but not *very* confusing, and I think we've flushed out most
of the troublesome instances in the various documents that are now being
updated or obsoleted. In a strict sense John is correct, but the phrase
"IETF LLC Executive Director" is a bit too clumsy for comfort. So at
the moment I think we're OK. 

Regards
   Brian

On 2018-12-19 11:13, Livingood, Jason wrote:
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 18 Dec 2018 22:51:17 +0000

The only people who will confuse the new terminology with the terminology in the RFC are the greybeards who were around back when all this started.  And in a few years, we're going to be older and confused about how to program our IP fridges anyway :)

I agree that John is reasonable to be concerned, but not correct.

	/r$

---

From: John C Klensin <[email-masked]>
Date: Wed, 19 Dec 2018 08:43:59 -0500

--On Wednesday, December 19, 2018 11:23 +1300 Brian E Carpenter
<[email-masked]> wrote:

> I believe that I was one of the first to mention that some
> older documents referred to the IETF Executive Director as
> being a direct support role for the IESG, and that this could
> be confusing. Well, it could still be confusing, but not
> *very* confusing, and I think we've flushed out most of the
> troublesome instances in the various documents that are now
> being updated or obsoleted. In a strict sense John is correct,
> but the phrase "IETF LLC Executive Director" is a bit too
> clumsy for comfort. So at the moment I think we're OK. 

I'm certainly willing to live with that decision as long as a
non-trivial number of people in addition to the document authors
hold it.   On the other hand, I have a lot of difficulty
understanding a logic system in which "IETF LLC Executive
Director" is a bit too clumsy but "Managing Director, IETF
Secretariat" is not.  The latter is eight characters longer; is
a bit of an odd construction for those of us on this side of the
various ponds; and, if being used with a voice input system, may
require a distinctive pause at the right place or spelling out
the punctuation... certainly more than a bit clumsy.

--On Tuesday, December 18, 2018 22:51 +0000 "Salz, Rich"
<[email-masked]> wrote:

> The only people who will confuse the new terminology with the
> terminology in the RFC are the greybeards who were around back
> when all this started.  And in a few years, we're going to be
> older and confused about how to program our IP fridges anyway
> :)

Rich, ignoring as humor any possible aspersions on my beard
color, my advancing age, and the question of whether using beard
color as a reference category is sexist..   As I have tried to
say several times (mostly in notes that I infer no one has read,
possibly because of length), I am not at all concerned about
confusion among those who read the new RFC or even within the
IETF more generally.  For such people, either they will get it
right or some combination of Portia, Alexa, or the community
will figure out how to set them right.

I also assume that, whatever we decide, the WG's list of
documents that should be updated is correct and we can get the
those documents right.  If there are omissions, not exactly
reusing a title makes it easier to detect and then fix them, but
I don't expect omissions and fixing an IETF document later,
while it should be embarrassing to the community, is not a huge
deal.   My concern is, and always has been, someone from the
outside, perhaps an SDO with whom we work (or one with whom we
have a sometimes-antagonistic relationship), perhaps some actor
in the legal arena, perhaps a reporter with sensational
instincts, or perhaps someone else of those sorts, picking up an
old agreement or an old document or web page, that mentions the
old title/role and then either trying to use it and getting
confused or noticing the confusion.  Should they then wonder
whether they are being given the runaround and then decide to
make a fuss about it (or just decide to make a fuss in principle
or out of malice) that would waste more time than it should,
damage the IETF's credibility, or both.

For the same reasons, independent of what the WG decides to do
about this title, I think the [email-masked] address and links
pointing to the IAD should either go to the IETF [LLC] Executive
Director or to an auto-response message or web page that
explains the situation/ transition and to do some more or less
forever.   I'd prefer to give the same treatment to
[email-masked] (an address that at least used to exist) and
similar references, but that may be more difficult if the title
is reused.

Do I consider those high-risk or even high-likelihood
possibilities?  No, not particularly.  But I  think it is
relatively easy to protect against them and, because the
likelihood is still above zero and the costs of that sort of
public attack non-trivial should it occur, that doing so is
worthwhile.

If people disagree, fine.  Be careful what you wish for.

     john

---

From: Bob Hinden <[email-masked]>
Date: Wed, 19 Dec 2018 09:01:20 -0800

John,

> On Dec 19, 2018, at 5:43 AM, John C Klensin <[email-masked]> wrote:
> 
> 
> 

This probably isn’t helpful, but…   While I am fine with IETF Executive Director (for the LLC), if we were to change titles, I would prefer to change the "Managing Director, IETF Secretariat” to something like “IESG Executive Director” or similar.  I think that’s a better match with the actual position.

Bob

---

From: Ted Hardie <[email-masked]>
Date: Wed, 19 Dec 2018 09:02:52 -0800

On Wed, Dec 19, 2018 at 5:44 AM John C Klensin <[email-masked]> wrote:

> hold it.

I'll add my name to the number of folks who prefer the split to be IETF
Executive Director (new role) and Secretariat-focused title for the work
Alexa is doing.

>  On the other hand, I have a lot of difficulty
> As a data point, I have held the title "Managing Director", and I'm on the
left coast of the US, so I don't think it is a pond-side specific title.

Just a pair of personal data points,

Ted

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 20 Dec 2018 08:29:42 +1300

On 2018-12-20 06:02, Ted Hardie wrote:
> 
> 
> On Wed, Dec 19, 2018 at 5:44 AM John C Klensin <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>     <[email-masked] <mailto:[email-masked]>> wrote:
> 
> I'll add my name to the number of folks who prefer the split to be IETF Executive Director (new role) and Secretariat-focused title for the work Alexa is doing.
>  
> 
> As a data point, I have held the title "Managing Director", and I'm on the left coast of the US, so I don't think it is a pond-side specific title.

Probably not. IANAL, so I won't even attempt to explain the niceties
of British company law, but I suspect that in Britain the title
implies some specific legal responsibilities.

I do agree that "Managing Director, IETF Secretariat" is also
clumsy, but that seems like a separate discussion.

   Brian

---

From: Bob Hinden <[email-masked]>
Date: Wed, 19 Dec 2018 11:35:55 -0800

Brian,

> On Dec 19, 2018, at 11:29 AM, Brian E Carpenter <[email-masked]> wrote:
> 
>> 
>> 

I note we have or will have the following titles:

IAB Executive Director
IETF Executive Director
Managing Director, IETF Secretariat (formally IETF Executive Director)

If there are any changes, probably good to look at all three for consistency in roles and responsibilities.

Bob

---

From: Ted Hardie <[email-masked]>
Date: Wed, 19 Dec 2018 11:56:18 -0800

On Wed, Dec 19, 2018 at 11:35 AM Bob Hinden <[email-masked]> wrote:

> >> As a data point, I have held the title "Managing Director", and I'm on
> the left coast of the US, so I don't think it is a pond-side specific title.
> >

Since the secretariat started supporting the IAB, the secretariat IAB
support position is "IAB Executive Administrative Manager"; see Russ's
email describing that here:

https://www.ietf.org/mail-archive/web/ietf-announce/current/msg12624.html

Cindy Morgan is still in the role.

The IAB Executive Director role is currently not filled, but may be filled
either by a volunteer from outside the IAB or by a voting member of the
IAB.  Section 3.2 of RFC 2850 describes this and notes that the IAB
Executive Director is an "ex officio" member of the IAB as a result
(described in Section 1.2 of RFC 2850) .  This makes a bit different from
the other positions on this list, at least in my view.

regards,

Ted

> If there are any changes, probably good to look at all three for
> consistency in roles and responsibilities.
>
> Bob
>
>
>
>

---

From: Bob Hinden <[email-masked]>
Date: Wed, 19 Dec 2018 12:02:14 -0800

Ted,

>> On Dec 19, 2018, at 11:56 AM, Ted Hardie <[email-masked]> wrote:
>> 
> Since the secretariat started supporting the IAB, the secretariat IAB support position is "IAB Executive Administrative Manager"; see Russ's email describing that here:
> 
> The IAB Executive Director role is currently not filled, but may be filled either by a volunteer from outside the IAB or by a voting member of the IAB.  Section 3.2 of RFC 2850 describes this and notes that the IAB Executive Director is an "ex officio" member of the IAB as a result (described in Section 1.2 of RFC 2850) .  This makes a bit different from the other positions on this list, at least in my view.

Cool, I wasn’t aware of that.  So we have:

IAB Executive Administrative Manager
IETF Executive Director
Managing Director, IETF Secretariat (formally IETF Executive Director)

Bob